9.4ubuntu4.9: Broken package because of missing "#" @ /var/lib/dpkg/info/base-files.postinst +131

Bug #1836236 reported by Alexandre on 2019-07-11
96
This bug affects 20 people
Affects Status Importance Assigned to Milestone
base-files (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned

Bug Description

Trying to install this on xenial results in:

Setting up base-files (9.4ubuntu4.9) ...
/var/lib/dpkg/info/base-files.postinst: 131: /var/lib/dpkg/info/base-files.postinst: Automatically: not found
dpkg: error processing package base-files (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 base-files
E: Sub-process /usr/bin/dpkg returned an error code (1)

Because there is a missing comment "#" at the beginning of line 131 of /var/lib/dpkg/info/base-files.postinst, ie:

Automatically added by dh_systemd_start
^-- # ?

description: updated
description: updated
Steve Langasek (vorlon) on 2019-07-11
tags: added: regression-proposed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in base-files (Ubuntu):
status: New → Confirmed
Tom Reynolds (tomreyn) wrote :

This command was reported to successfully work around this bug:

  sudo sed -i 's/^Automatically/# Automatically/g' /var/lib/dpkg/info/base-files.postinst

It changes any lines starting with "Automatically" into comments, which lets the script finish properly when you run:

  sudo dpkg --configure base-files

Or just run this afterwards:

  sudo apt -f install

Steve Langasek (vorlon) on 2019-07-11
Changed in base-files (Ubuntu):
status: Confirmed → In Progress
Steve Langasek (vorlon) on 2019-07-12
Changed in base-files (Ubuntu):
status: In Progress → Invalid
Changed in base-files (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → High
Changed in base-files (Ubuntu Xenial):
status: In Progress → Fix Released
Changed in base-files (Ubuntu):
status: Invalid → New
Steve Langasek (vorlon) wrote :

Please do not change the triage state of these bug tasks.

Changed in base-files (Ubuntu):
status: New → Invalid
Changed in base-files (Ubuntu Xenial):
status: Fix Released → In Progress

Hello Alexandre, or anyone else affected,

Accepted base-files into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/base-files/9.4ubuntu4.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in base-files (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in base-files (Ubuntu Xenial):
assignee: nobody → shane cody perry (theinsanelunatic5934)
status: Fix Committed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in base-files (Ubuntu Xenial):
status: New → Confirmed
information type: Public → Private Security
Paul Collins (pjdc) on 2019-07-12
information type: Private Security → Public
Steve Langasek (vorlon) on 2019-07-12
Changed in base-files (Ubuntu Xenial):
assignee: shane cody perry (theinsanelunatic5934) → nobody
status: Confirmed → Fix Committed
Changed in base-files (Ubuntu Xenial):
status: Fix Committed → In Progress
Steve Langasek (vorlon) wrote :

I have asked you not to modify the state of these bug tasks, which are used by the developers to track the progress on this fix.

Changed in base-files (Ubuntu Xenial):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Fixed in -proposed:

(Reading database ... 21788 files and directories currently installed.)
Preparing to unpack .../base-files_9.4ubuntu4.10_amd64.deb ...
Unpacking base-files (9.4ubuntu4.10) over (9.4ubuntu4.8) ...
Processing triggers for man-db (2.7.5-1) ...
Not building database; man-db/auto-update is not 'true'.
Setting up base-files (9.4ubuntu4.10) ...
Running in chroot, ignoring request.
/usr/sbin/policy-rc.d returned 101, not running 'start motd-news.service'
Running in chroot, ignoring request.
/usr/sbin/policy-rc.d returned 101, not running 'start motd-news.timer'

Marking this verification-done, and also closing this bug since it was a proposed-only regression.

Changed in base-files (Ubuntu Xenial):
status: Fix Committed → Fix Released
tags: added: verification-done-xenial
removed: verification-needed-xenial
Changed in base-files (Ubuntu):
status: Invalid → Fix Released
tags: removed: verification-needed
Steve Langasek (vorlon) on 2019-07-21
Changed in base-files (Ubuntu):
status: Fix Released → Invalid
Łukasz Zemczak (sil2100) wrote :

Hello Alexandre, or anyone else affected,

Accepted base-files into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/base-files/9.4ubuntu4.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in base-files (Ubuntu Xenial):
status: Fix Released → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done-xenial
Andreas Hasenack (ahasenack) wrote :

Xenial verification

No warnings or errors during upgrade:
Get:1 http://azure.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 base-files amd64 9.4ubuntu4.11 [67.5 kB]
Fetched 67.5 kB in 0s (1,082 kB/s)
(Reading database ... 78928 files and directories currently installed.)
Preparing to unpack .../base-files_9.4ubuntu4.11_amd64.deb ...
Unpacking base-files (9.4ubuntu4.11) over (9.4ubuntu4.8) ...
Processing triggers for plymouth-theme-ubuntu-text (0.9.2-3ubuntu13.5) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Processing triggers for initramfs-tools (0.122ubuntu8.15) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-1060-azure
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
Setting up base-files (9.4ubuntu4.11) ...

The motd-news.timer is installed and will run in 7h:
ubuntu@xenial-motd:~$ systemctl list-timers
NEXT LEFT LAST PASSED UNIT ACTIVATES
Sat 2019-10-05 02:13:08 UTC 7h left n/a n/a motd-news.timer motd-news.service
Sat 2019-10-05 06:01:07 UTC 11h left n/a n/a apt-daily.timer apt-daily.service
Sat 2019-10-05 06:35:02 UTC 12h left n/a n/a apt-daily-upgrade.timer apt-daily-upgrade.service
Sat 2019-10-05 18:14:55 UTC 23h left Fri 2019-10-04 18:14:55 UTC 6min ago systemd-tmpfiles-clean.timer systemd-tmpfiles-clean.service

4 timers listed.
Pass --all to see loaded but inactive timers, too.

motd message is now displayed:
ubuntu@xenial-motd:~$ sudo sh /etc/update-motd.d/50-motd-news --force

 * Kata Containers are now fully integrated in Charmed Kubernetes 1.16!
   Yes, charms take the Krazy out of K8s Kata Kluster Konstruction.

     https://ubuntu.com/kubernetes/docs/release-notes

Confirmed upon logging in:
andreas@nsnx:~$ ssh ubuntu@13.90.92.78
Welcome to Ubuntu 16.04.6 LTS (GNU/Linux 4.15.0-1057-azure x86_64)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

 * Kata Containers are now fully integrated in Charmed Kubernetes 1.16!
   Yes, charms take the Krazy out of K8s Kata Kluster Konstruction.

     https://ubuntu.com/kubernetes/docs/release-notes

26 packages can be updated.
0 updates are security updates.

New release '18.04.2 LTS' available.
Run 'do-release-upgrade' to upgrade to it.

*** System restart required ***
Last login: Fri Oct 4 18:15:19 2019 from 187.107.24.4

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-files - 9.4ubuntu4.11

---------------
base-files (9.4ubuntu4.11) xenial; urgency=medium

  * update-motd.d/50-motd-news: add cloud_id to user-agent string
    (LP: #1840946)
  * d/postinst.in, d/postrm: add missing dh_systemd_enable pieces. This
    completes the fix for LP #1637800
  * d/postinst.in: do not start the motd-news.service, as it won't be
    in an enabled state anyway, and the timer will run it when needed. This
    addresses the motd-news.service bit in comment #19 of #1637800.

base-files (9.4ubuntu4.10) xenial; urgency=medium

  * Fix syntax error in new base-files postinst code. LP: #1836236.

base-files (9.4ubuntu4.9) xenial; urgency=medium

  * Backport /etc/update-motd.d/50-motd-news, along with the systemd units
    that are used to keep the local cache file up-to-date. LP: #1637800

 -- Andreas Hasenack <email address hidden> Mon, 30 Sep 2019 10:31:01 -0300

Changed in base-files (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for base-files has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers